Bug 1464494 - [RFE][DOCS] Docker certs are not mentioned on the backup/restore section
[RFE][DOCS] Docker certs are not mentioned on the backup/restore section
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.5.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ashley Hardin
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-23 10:48 EDT by Sergi Jimenez Romero
Modified: 2017-10-18 13:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-18 13:55:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergi Jimenez Romero 2017-06-23 10:48:37 EDT
1. Proposed title of this feature request

Mention docker certs as part of the backup/restore documentation.

  
3. What is the nature and description of the request?

Current documentation doesn't mention docker certs when doing a cluster backup [1]. But when working with external secured external Registries (our case), Docker certs are needed to pull images [2].

[1] https://docs.openshift.com/container-platform/3.5/admin_guide/backup_restore.html#cluster-backup
[2] https://docs.openshift.com/container-platform/3.5/install_config/registry/securing_and_exposing_registry.html#exposing-the-registry

  
4. Why does the customer need this? (List the business requirements here)

As a standalone registry user, I would like to have this documented.
  
5. How would the customer like to achieve this? (List the functional requirements here)

Having it on the documentation.
  
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  

Having it on the documentation.
  
10. List any affected packages or components.

Documentation.
Comment 2 Ashley Hardin 2017-08-08 08:34:34 EDT
Work in progress: https://github.com/openshift/openshift-docs/pull/4948
Comment 3 Sergi Jimenez Romero 2017-10-06 06:21:22 EDT
(In reply to Ashley Hardin from comment #2)
> Work in progress: https://github.com/openshift/openshift-docs/pull/4948

Ashley, any progress on merging the PR? Thanks!
Comment 4 Ashley Hardin 2017-10-06 11:21:51 EDT
Sorry for the delay! I continued the work in https://github.com/openshift/openshift-docs/pull/5582 and it's now merged.

Note You need to log in before you can comment on or make changes to this bug.